<?php


namespace Shop\Application\Shopping\CreateProviderOrdersFromCustomerOrderItem;


class ProviderOrderItemRequest extends OrderItemRequest
{


    /**
     * @var int
     */
    protected $customerOrderItemId;


    /**
     * @return int
     */
    public function getCustomerOrderItemId(): int
    {
        return $this->customerOrderItemId;
    }

    /**
     * @param int $customerOrderItemId
     * @return OrderItemRequest
     */
    public function setCustomerOrderItemId(int $customerOrderItemId): OrderItemRequest
    {
        $this->customerOrderItemId = $customerOrderItemId;
        return $this;
    }
}